<?php

use App\Enums\OrderStatus;
use App\Enums\OrderType;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->foreignId('customer_id');
            $table->string('internal_po');
            $table->string('customer_po');
            $table->enum('order_type', OrderType::cases());
            $table->date('order_date');
            $table->date('due_date');
            $table->enum('status', OrderStatus::cases());
            $table->boolean('rush')->default(0);
            $table->boolean('new_art')->default(0);
            $table->boolean('digitizing')->default(0);
            $table->boolean('repeat')->default(0);
            $table->boolean('purchased_garments')->default(0);
            $table->boolean('customer_supplied_file')->default(0);
            $table->longText('notes');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('orders');
    }
};
