@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-8 pt-4">
                <h4>Create Order</h4>

                <div class="row mb-3">
                    <label for="customer_id" class="col-md-4 col-form-label text-md-end">Customer</label>
                    <div class="col-md-6">
                        <select name="customer_id" class="form-select" id="customer_id" autofocus>
                            @foreach($customers as $customer)
                                <option value="{{$customer->id}}">{{$customer->company_name}}</option>
                            @endforeach()
                        </select>
                    </div>
                </div>

                <div class="row mb-3">
                    <label for="order_type" class="col-md-4 col-form-label text-md-end">Order Type</label>
                    <div class="col-md-6">
                        <select name="order_type" class="form-select" id="order_type" autofocus>
                            @foreach($order_types as $case)
                                <option value="{{$case->name}}">{{$case->value}}</option>
                            @endforeach()
                        </select>
                    </div>
                </div>

                <div class="row mb-3">
                    <label for="order_status" class="col-md-4 col-form-label text-md-end">Order Status</label>
                    <div class="col-md-6">
                        <select name="order_status" class="form-select" id="order_status" autofocus>
                            @foreach($order_status as $case)
                                <option value="{{$case->name}}">{{$case->value}}</option>
                            @endforeach()
                        </select>
                    </div>
                </div>

                <hr class="border-secondary-subtle mx-4 px-0">

                <div class="row mb-3">
                    <label class="col-md-4 col-form-label text-md-end">Attributes</label>
                    <div class="col-md-3">
                        <div class="form-check ">
                            <input class="form-check-input" type="checkbox" value="" id="new_art">
                            <label class="form-check-label" for="new_art">New art</label>
                        </div>
                        <div class="form-check ">
                            <input class="form-check-input" type="checkbox" value="" id="rush">
                            <label class="form-check-label" for="rush">Rush</label>
                        </div>
                        <div class="form-check ">
                            <input class="form-check-input" type="checkbox" value="" id="digitizing">
                            <label class="form-check-label" for="digitizing">Digitizing</label>
                        </div>
                        <div class="form-check ">
                            <input class="form-check-input" type="checkbox" value="" id="supplied_file">
                            <label class="form-check-label" for="supplied_file">Customer Supplied File</label>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-check ">
                            <input class="form-check-input" type="checkbox" value="" id="repeat">
                            <label class="form-check-label" for="repeat">Repeat</label>
                        </div>
                        <div class="form-check ">
                            <input class="form-check-input" type="checkbox" value="" id="event">
                            <label class="form-check-label" for="event">Event</label>
                        </div>
                        <div class="form-check ">
                            <input class="form-check-input" type="checkbox" value="" id="purchased_garments">
                            <label class="form-check-label" for="purchased_garments">Purchased garments</label>
                        </div>
                    </div>
                </div>

                <hr class="border-secondary-subtle mx-4 px-0">

                <div class="row mb-3">
                    <label for="order_date" class="col-md-4 col-form-label text-md-end">Order date</label>

                    <div class="col-md-6">
                        <input id="order_date" type="date"
                                class="form-control @error('order_date') is-invalid @enderror"
                                name="order_date" value="{{ old('order_date') ?? $today }}" required
                                autocomplete="order_date">

                        @error('order_date')
                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                        @enderror
                    </div>
                </div>

                <div class="row mb-3">
                    <label for="due_date" class="col-md-4 col-form-label text-md-end">Due date</label>

                    <div class="col-md-6">
                        <input id="due_date" type="date"
                                class="form-control @error('due_date') is-invalid @enderror"
                                name="due_date" value="{{ old('due_date') ?? $due_default }}" required
                                autocomplete="due_date">

                        @error('due_date')
                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                        @enderror
                    </div>
                </div>

                <hr class="border-secondary-subtle mx-4 px-0">

                <div class="row mb-3">
                    <label for="contact_id" class="col-md-4 col-form-label text-md-end">Contact</label>
                    <div class="col-md-6">
                        <select name="contact_id" class="form-select" id="contact_id" autofocus>
                            <option value=""></option>
                        </select>
                    </div>
                </div>

            </div>
        </div>
    </div>
@endsection
