<?php

use App\Http\Controllers\ContactController;
use App\Http\Controllers\CustomerController;
use App\Http\Controllers\OrderController;
use App\Http\Controllers\PackingSlipController;
use App\Http\Controllers\ShippingEntryController;
use App\Models\ShippingEntry;
use Illuminate\Support\Facades\Route;

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::resource('customers', CustomerController::class);

Route::get('/customers/{customer}/{tab}', [CustomerController::class, 'show'])->name('customers.show');
Route::get('/customers/', [CustomerController::class, 'index'])->name('customers.index');
Route::post('/customers/request-destroy', [CustomerController::class, 'requestDestroy'])->name('customers.requestDestroy');

Route::resource('contacts', ContactController::class);
Route::post('/contacts/request-destroy', [ContactController::class, 'requestDestroy'])->name('contacts.requestDestroy');

Route::resource('packing-slips', PackingSlipController::class);

Route::resource('shipping-entries', ShippingEntryController::class);

Route::resource('orders', OrderController::class);